//
//  View+Extension.swift
//  SampleApp
//
//  Created by Amity on 7/11/2565 BE.
//  Copyright © 2565 BE David Zhang. All rights reserved.
//

import Foundation
import SwiftUI

struct AmityDefaultButton: View {
    
    let title: String
    let action: () -> Void
    
    var body: some View {
        Button {
            action()
        } label: {
            HStack {
                
                Spacer()
                
                Text(title)
                    .padding(4)
                    .frame(minWidth: 300)
                    .frame(height: 50)
                    .background(Color.blue)
                    .foregroundColor(Color.white)
                    .cornerRadius(8)
                
                Spacer()
            }
        }
    }
}

struct AmityTextFieldStyle: ViewModifier {
    
    typealias Body = TextField

    func body(content: Content) -> some View {
        content
            .textFieldStyle(.plain)
            .padding(.horizontal)
            .frame(height: 50)
            .background(Color(UIColor.systemGroupedBackground))
            .clipped()
            .cornerRadius(8)
            .foregroundColor(Color.primary)
    }
}

